## org.gnu.gdk
Class CursorType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.CursorType

public class CursorType
extends Enum

Field Summary
`static CursorType` `ARROW`
`static CursorType` `BASED_ARROW_DOWN`
`static CursorType` `BASED_ARROW_UP`
`static CursorType` `BOAT`
`static CursorType` `BOGOSITY`
`static CursorType` `BOTTOM_LEFT_CORNER`
`static CursorType` `BOTTOM_RIGHT_CORNER`
`static CursorType` `BOTTOM_SIDE`
`static CursorType` `BOTTOM_TEE`
`static CursorType` `BOX_SPIRAL`
`static CursorType` `CENTER_PTR`
`static CursorType` `CIRCLE`
`static CursorType` `CLOCK`
`static CursorType` `COFFEE_MUG`
`static CursorType` `CROSS`
`static CursorType` `CROSS_REVERSE`
`static CursorType` `CROSSHAIR`
`static CursorType` `CURSOR_IS_PIXMAP`
`static CursorType` `DIAMOND_CROSS`
`static CursorType` `DOT`
`static CursorType` `DOTBOX`
`static CursorType` `DOUBLE_ARROW`
`static CursorType` `DRAFT_LARGE`
`static CursorType` `DRAFT_SMALL`
`static CursorType` `DRAPED_BOX`
`static CursorType` `EXCHANGE`
`static CursorType` `FLEUR`
`static CursorType` `GOBBLER`
`static CursorType` `GUMBY`
`static CursorType` `HAND1`
`static CursorType` `HAND2`
`static CursorType` `HEART`
`static CursorType` `ICON`
`static CursorType` `IRON_CROSS`
`static CursorType` `LAST_CURSOR`
`static CursorType` `LEFT_PTR`
`static CursorType` `LEFT_SIDE`
`static CursorType` `LEFT_TEE`
`static CursorType` `LEFTBUTTON`
`static CursorType` `LL_ANGLE`
`static CursorType` `LR_ANGLE`
`static CursorType` `MAN`
`static CursorType` `MIDDLEBUTTON`
`static CursorType` `MOUSE`
`static CursorType` `PENCIL`
`static CursorType` `PIRATE`
`static CursorType` `PLUS`
`static CursorType` `QUESTION_ARROW`
`static CursorType` `RIGHT_PTR`
`static CursorType` `RIGHT_SIDE`
`static CursorType` `RIGHT_TEE`
`static CursorType` `RIGHTBUTTON`
`static CursorType` `RTL_LOGO`
`static CursorType` `SAILBOAT`
`static CursorType` `SB_DOWN_ARROW`
`static CursorType` `SB_H_DOUBLE_ARROW`
`static CursorType` `SB_LEFT_ARROW`
`static CursorType` `SB_RIGHT_ARROW`
`static CursorType` `SB_UP_ARROW`
`static CursorType` `SB_V_DOUBLE_ARROW`
`static CursorType` `SHUTTLE`
`static CursorType` `SIZING`
`static CursorType` `SPARYCAN`
`static CursorType` `SPIDER`
`static CursorType` `STAR`
`static CursorType` `TARGET`
`static CursorType` `TCROSS`
`static CursorType` `TOP_LEFT_ARROW`
`static CursorType` `TOP_LEFT_CORNER`
`static CursorType` `TOP_RIGHT_CORNER`
`static CursorType` `TOP_SIDE`
`static CursorType` `TOP_TEE`
`static CursorType` `TREK`
`static CursorType` `UL_ANGLE`
`static CursorType` `UMBRELLA`
`static CursorType` `UR_ANGLE`
`static CursorType` `WATCH`
`static CursorType` `X_CURSOR`
`static CursorType` `XTERM`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`CursorType` `and(CursorType other)`
`static CursorType` `intern(int value)`
`CursorType` `or(CursorType other)`
`boolean` `test(CursorType other)`
`CursorType` `xor(CursorType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X_CURSOR

    public static final CursorType X_CURSOR

### ARROW

    public static final CursorType ARROW

### BASED_ARROW_DOWN

    public static final CursorType BASED_ARROW_DOWN

### BASED_ARROW_UP

    public static final CursorType BASED_ARROW_UP

### BOAT

    public static final CursorType BOAT

### BOGOSITY

    public static final CursorType BOGOSITY

### BOTTOM_LEFT_CORNER

    public static final CursorType BOTTOM_LEFT_CORNER

### BOTTOM_RIGHT_CORNER

    public static final CursorType BOTTOM_RIGHT_CORNER

### BOTTOM_SIDE

    public static final CursorType BOTTOM_SIDE

### BOTTOM_TEE

    public static final CursorType BOTTOM_TEE

### BOX_SPIRAL

    public static final CursorType BOX_SPIRAL

### CENTER_PTR

    public static final CursorType CENTER_PTR

### CIRCLE

    public static final CursorType CIRCLE

### CLOCK

    public static final CursorType CLOCK

### COFFEE_MUG

    public static final CursorType COFFEE_MUG

### CROSS

    public static final CursorType CROSS

### CROSS_REVERSE

    public static final CursorType CROSS_REVERSE

### CROSSHAIR

    public static final CursorType CROSSHAIR

### DIAMOND_CROSS

    public static final CursorType DIAMOND_CROSS

### DOT

    public static final CursorType DOT

### DOTBOX

    public static final CursorType DOTBOX

### DOUBLE_ARROW

    public static final CursorType DOUBLE_ARROW

### DRAFT_LARGE

    public static final CursorType DRAFT_LARGE

### DRAFT_SMALL

    public static final CursorType DRAFT_SMALL

### DRAPED_BOX

    public static final CursorType DRAPED_BOX

### EXCHANGE

    public static final CursorType EXCHANGE

### FLEUR

    public static final CursorType FLEUR

### GOBBLER

    public static final CursorType GOBBLER

### GUMBY

    public static final CursorType GUMBY

### HAND1

    public static final CursorType HAND1

### HAND2

    public static final CursorType HAND2

### HEART

    public static final CursorType HEART

### ICON

    public static final CursorType ICON

### IRON_CROSS

    public static final CursorType IRON_CROSS

### LEFT_PTR

    public static final CursorType LEFT_PTR

### LEFT_SIDE

    public static final CursorType LEFT_SIDE

### LEFT_TEE

    public static final CursorType LEFT_TEE

### LEFTBUTTON

    public static final CursorType LEFTBUTTON

### LL_ANGLE

    public static final CursorType LL_ANGLE

### LR_ANGLE

    public static final CursorType LR_ANGLE

### MAN

    public static final CursorType MAN

### MIDDLEBUTTON

    public static final CursorType MIDDLEBUTTON

### MOUSE

    public static final CursorType MOUSE

### PENCIL

    public static final CursorType PENCIL

### PIRATE

    public static final CursorType PIRATE

### PLUS

    public static final CursorType PLUS

### QUESTION_ARROW

    public static final CursorType QUESTION_ARROW

### RIGHT_PTR

    public static final CursorType RIGHT_PTR

### RIGHT_SIDE

    public static final CursorType RIGHT_SIDE

### RIGHT_TEE

    public static final CursorType RIGHT_TEE

### RIGHTBUTTON

    public static final CursorType RIGHTBUTTON

### RTL_LOGO

    public static final CursorType RTL_LOGO

### SAILBOAT

    public static final CursorType SAILBOAT

### SB_DOWN_ARROW

    public static final CursorType SB_DOWN_ARROW

### SB_H_DOUBLE_ARROW

    public static final CursorType SB_H_DOUBLE_ARROW

### SB_LEFT_ARROW

    public static final CursorType SB_LEFT_ARROW

### SB_RIGHT_ARROW

    public static final CursorType SB_RIGHT_ARROW

### SB_UP_ARROW

    public static final CursorType SB_UP_ARROW

### SB_V_DOUBLE_ARROW

    public static final CursorType SB_V_DOUBLE_ARROW

### SHUTTLE

    public static final CursorType SHUTTLE

### SIZING

    public static final CursorType SIZING

### SPIDER

    public static final CursorType SPIDER

### SPARYCAN

    public static final CursorType SPARYCAN

### STAR

    public static final CursorType STAR

### TARGET

    public static final CursorType TARGET

### TCROSS

    public static final CursorType TCROSS

### TOP_LEFT_ARROW

    public static final CursorType TOP_LEFT_ARROW

### TOP_LEFT_CORNER

    public static final CursorType TOP_LEFT_CORNER

### TOP_RIGHT_CORNER

    public static final CursorType TOP_RIGHT_CORNER

### TOP_SIDE

    public static final CursorType TOP_SIDE

### TOP_TEE

    public static final CursorType TOP_TEE

### TREK

    public static final CursorType TREK

### UL_ANGLE

    public static final CursorType UL_ANGLE

### UMBRELLA

    public static final CursorType UMBRELLA

### UR_ANGLE

    public static final CursorType UR_ANGLE

### WATCH

    public static final CursorType WATCH

### XTERM

    public static final CursorType XTERM

### LAST_CURSOR

    public static final CursorType LAST_CURSOR

### CURSOR_IS_PIXMAP

    public static final CursorType CURSOR_IS_PIXMAP

Method Detail

### intern

    public static CursorType intern(int value)

### or

    public CursorType or(CursorType other)

### and

    public CursorType and(CursorType other)

### xor

    public CursorType xor(CursorType other)

### test

    public boolean test(CursorType other)